@use '../../../global/styles/styles-variables' as *;

@mixin primary {
	--BACKGROUND-COLOR: var(--digi--info-card--background-color--primary);
}

@mixin secondary {
	--BACKGROUND-COLOR: var(--digi--info-card--background-color--secondary);
}

@mixin tip {
	--COLOR--HEADING: var(--digi--info-card--color--heading);
	--PADDING: var(--digi--info-card--padding);
	--MARGIN-TOP: var(--digi--margin--medium);
	@media (min-width: $digi--breakpoint--medium) {
		--PADDING: var(--digi--info-card--padding--desktop);
	}
}

@mixin related {
	--BACKGROUND-COLOR: var(--digi--info-card--background-color--related);
	--COLOR--HEADING: var(--digi--info-card--color--heading);
	--PADDING: var(--digi--info-card--padding);
	--MARGIN-TOP: var(--digi--margin--medium);
	@media (min-width: $digi--breakpoint--medium) {
		--PADDING: var(--digi--info-card--padding--desktop);
	}
}


@mixin multi {
	--BACKGROUND-COLOR: var(--digi--info-card--background-color--multi);
	--HEADING--FONT-SIZE: var(--digi--info-card--heading--multi--font-size);
	--HEADING--FONT-SIZE--DESKTOP: var(--digi--info-card--heading--multi--font-size--desktop);
	--COLOR--HEADING: var(--digi--info-card--color--heading--multi);
	--PADDING: var(--digi--info-card--padding--multi);
}



// @mixin list {
// 	--HEADING--FONT-SIZE: var(--digi--info-card--heading--font-size);
// 	--HEADING--FONT-SIZE--DESKTOP: var(--digi--info-card--heading--font-size--desktop);
// 	--COLOR--HEADING: var(--digi--info-card--color--heading);
// 	--PADDING: var(--digi--info-card--padding);
	
// }




